#!/bin/bash
DIR="$(realpath $(dirname "$(readlink -f "$0")")/..)"

. $DIR/bash/_docker-cmd.sh || {
  echo "no docker cmd is presented" && exit 1
}

PM2_SERVICE=$1

if [[ -z "${PM2_SERVICE}" ]]; then
  echo "Usage: $(basename $0) NODEJS_PROJECT_NAME"
  exit 1
fi

CONTAINER=$(docker ps | grep "pm2-${PM2_SERVICE}" | awk '{print $1}')

if [[ -z "${CONTAINER}" ]]; then
  echo "Unable to find container: db"
  exit 1
fi

$DOCKER_CMD logs --follow ${CONTAINER}